#!/bin/sh
set -e
export TAR_OPTIONS='--owner root --group root --mode a+rX'
export GZIP_OPTIONS='-9n'
set -x
destdir=$1
[ -z "$destdir" ] && destdir=$(shell pwd)
tmpdir=$(mktemp -d)
uscan --no-conf --verbose --force-download --destdir "$tmpdir"
(
    cd "$tmpdir"
    version=$(echo *.xpi | sed -r -e 's/.*-([0-9.]+)-.*/\1/')
    mkdir "y-u-no-validate-$version.orig"
    cd *.orig/
    unzip ../*.xpi
    cd ..
    tar -czf "$destdir/y-u-no-validate_$version.orig.tar.gz" *.orig/
)
rm -rf "$tmpdir"

# vim:ts=4 sw=4 et
